// RLOutPutDlgThd.cpp : implementation file
//
#include "stdafx.h"
#include "RomLister.h"
#include "RLOutputDlgThd.h"
#include "RLOutput.h"
#include "romListerDlg.h"


// CRLOutPutDlgThd

IMPLEMENT_DYNCREATE(CRLOutPutDlgThd, CWinThread)

CRLOutPutDlgThd::CRLOutPutDlgThd()
{
}

CRLOutPutDlgThd::~CRLOutPutDlgThd()
{
}

BOOL CRLOutPutDlgThd::InitInstance()
{
	extern CRLOutput* gm_pwndRLOutput;
	// create dialog
	gm_pwndRLOutput = new CRLOutput();
	gm_pwndRLOutput->m_inputData = m_passthrough;
	if ( gm_pwndRLOutput->Create(IDD_RLOUTPUT, gm_pwndRLOutput) != TRUE )
		{
		AfxMessageBox("Unable to create RL output dialog!?!", MB_ICONERROR, 0);
		delete gm_pwndRLOutput;
		gm_pwndRLOutput = NULL;
		return FALSE;
		}

	return TRUE;
}

int CRLOutPutDlgThd::ExitInstance()
{
//	extern 	CRLOutput* gm_pwndRLOutput;
	return CWinThread::ExitInstance();
}

BEGIN_MESSAGE_MAP(CRLOutPutDlgThd, CWinThread)
	ON_THREAD_MESSAGE(WM_SET_DLG_FOCUS_COMMAND, setDlgFocus)
END_MESSAGE_MAP()


// CRLOutPutDlgThd message handlers
afx_msg void CRLOutPutDlgThd::setDlgFocus(WPARAM wParam, LPARAM lParam)
{
	extern 	CRLOutput* gm_pwndRLOutput;
	gm_pwndRLOutput->PostMessage(WM_SETFOCUS, 0, 0);
	gm_pwndRLOutput->m_inputData = m_passthrough;	// send new data over
	gm_pwndRLOutput->data2ListEntries();				// process it.
	gm_pwndRLOutput->m_hideSHA1s = m_hideSHA1s;
	m_passthrough = "";
	gm_pwndRLOutput->m_inputData = "";
	// show it

	gm_pwndRLOutput->ShowWindow(SW_SHOW);
	gm_pwndRLOutput->SetForegroundWindow();
}
