#pragma once
#include "afxcmn.h"
#include "SortListCtrl.h"
#include "easysize.h"
#include "afxwin.h"
#include "fileStuff.h"
#include "rl.h"


// CRLOutput dialog

class CRLOutput : public CDialog
{
	DECLARE_DYNAMIC(CRLOutput)
	DECLARE_EASYSIZE

public:
	CRLOutput(CWnd* pParent = NULL);   // standard constructor
	virtual ~CRLOutput();

// Dialog Data
	enum { IDD = IDD_RLOUTPUT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()
	afx_msg void OnSize(UINT nType, int cx, int cy); 
	HICON m_hIcon;
public:
	virtual void PostNcDestroy();
	CSortListCtrl m_listControl;
	CString m_inputData;
	afx_msg void OnNMRclickList(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedCancel();
	CComboBox m_exportFileType;
	void data2ListEntries();
	void deleteSelected();
	void showDetails();
	CFileStuff m_file;
	int m_listCount;
	int m_hideSHA1s;
	afx_msg void OnBnClickedExport();
	LPCTSTR m_FileFilter;
	LPCTSTR m_FileExt;
	CRl m_RL;

	afx_msg void OnLvnKeydownRloutputlist(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnNMDblclkRloutputlist(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedListpreview();
	afx_msg void OnCbnSelchangeOutputtype();

	// alphabetical! 
	enum outputTypes {AdvanceMenuLst, Atomic, AttractMode, Batch,Cabrio,CSV,HyperSpin,Khameleon,Mala,MAMEUIFX,MameWah,Maximus,mGalaxy,MultiFE, ROMDesc,ROMName,XML};
	bool m_previewIt;
	CString m_batchCmd;

};
