#pragma once
#include "SortListCtrl.h"
#include "easysize.h"
#include "RLOutputDlgThd.h"



// CRLSearchItemsListDlg dialog

class CRLSearchItemsListDlg : public CDialog
{
	DECLARE_DYNAMIC(CRLSearchItemsListDlg)
	DECLARE_EASYSIZE

public:
	CSortListCtrl m_listControl;
	CRLSearchItemsListDlg(CWnd* pParent = NULL);   // standard constructor
	afx_msg void OnBnClickedCancel();
	virtual ~CRLSearchItemsListDlg();
	int m_listCount;
	int m_hideSHA1s;
	HICON m_hIcon;
	CString m_inputData;
	void data2ListEntries();
// Dialog Data
	enum { IDD = IDD_RLALLROMSLIST };
	afx_msg void OnNMRclickList(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnNMDblclkRloutputlist(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnLvnKeydownRloutputlist(NMHDR *pNMHDR, LRESULT *pResult);

	void showDetails();
	void add2list();
	CString m_windowTitle;
//	CRomListerDlg* m_pMainFrame;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual void PostNcDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy); 

	DECLARE_MESSAGE_MAP()
};
