// RLSearchItemsThd.cpp : implementation file
//
#include "stdafx.h"
#include "RomLister.h"
#include "RLSearchItemsThd.h"
#include "RLSearchItemsListDlg.h"
#include "romListerDlg.h"


// CRLOutPutDlgThd

IMPLEMENT_DYNCREATE(CRLSearchItemsThd, CWinThread)

CRLSearchItemsThd::CRLSearchItemsThd()
{
}

CRLSearchItemsThd::~CRLSearchItemsThd()
{
}

BOOL CRLSearchItemsThd::InitInstance()
{
	extern CRLSearchItemsListDlg* gm_pwndRLSearchItemsListDlg;
	// create dialog
	gm_pwndRLSearchItemsListDlg = new CRLSearchItemsListDlg();

	if ( gm_pwndRLSearchItemsListDlg->Create(IDD_RLALLROMSLIST1, gm_pwndRLSearchItemsListDlg) != TRUE )
		{
		AfxMessageBox("Unable to create Search items output dialog!?!", MB_ICONERROR, 0);
		delete gm_pwndRLSearchItemsListDlg;
		gm_pwndRLSearchItemsListDlg = NULL;
		return FALSE;
		}
	return TRUE;
}

int CRLSearchItemsThd::ExitInstance()
{
	// flag that we're no longer 'open'
	return CWinThread::ExitInstance();
}

BEGIN_MESSAGE_MAP(CRLSearchItemsThd, CWinThread)
	ON_THREAD_MESSAGE(WM_SET_DLG_FOCUS_COMMAND, setDlgFocus)
END_MESSAGE_MAP()


// CRLOutPutDlgThd message handlers
afx_msg void CRLSearchItemsThd::setDlgFocus(WPARAM wParam, LPARAM lParam)
{
	extern CRLSearchItemsListDlg* gm_pwndRLSearchItemsListDlg;
	gm_pwndRLSearchItemsListDlg->PostMessage(WM_SETFOCUS, 0, 0);
	gm_pwndRLSearchItemsListDlg->m_inputData = m_passthrough;	// send new data over
	gm_pwndRLSearchItemsListDlg->m_hideSHA1s = m_hideSHA1s;
	gm_pwndRLSearchItemsListDlg->m_windowTitle = m_passthruWindowsTitle;
	gm_pwndRLSearchItemsListDlg->data2ListEntries();				// process it.
	m_passthrough = "";
	gm_pwndRLSearchItemsListDlg->m_inputData = "";
	// show it
	gm_pwndRLSearchItemsListDlg->ShowWindow(SW_SHOW);
	gm_pwndRLSearchItemsListDlg->SetForegroundWindow();
}
