#pragma once

// this is how we handle the slight differences in the way the xml data is formatted between listxml and controls.xml (and others)
// as RL gets smarter, this is less and less useful so things are getting trimmed out

enum {MAME,controls,merged,MESS, MAME162};
#define xmltypes 5
typedef struct	_xmlType {		// keywords to determine which xml type we're using,
		CString	ROMStart[xmltypes];	// 
		//CString xmlFooter;
		CString description[xmltypes];
		//CString romName[3];
		CString buttons;
		CString cocktail;
		CString	manufacturer[xmltypes];
		CString	ROMEnd[xmltypes];

_xmlType()
	{
		ROMStart[MAME] = "<game name=";		// all xml files must start and end with <game>...</game>
		ROMStart[controls] = "<game name=";	// mame's listxml
		ROMStart[merged] = "<game name=";	// merged file (based off MAME)
		ROMStart[MESS] = "<software name=";
		ROMStart[MAME162] = "<machine name=";

		description[MAME] = "<description>";
		description[controls] = "gamename=";
		description[merged] = "<description>";
		description[MESS] = "<description>";
		description[MAME162] = "<description>";

		buttons = "buttons=";
		//buttons[controls] = "buttons=";  // june 18-08 - for more matches, only use buttons=
		//buttons[merged] = "buttons=";  

		cocktail = "'dipvalue name=Cocktail'";		// look for dipswitches to tell us if cocktail supported.
		//cocktail[controls]= "'dipvalue name=Cocktail'";
		//cocktail[merged]=   "'dipvalue name=Cocktail'";

		manufacturer[MAME] = "<manufacturer>";
		manufacturer[controls] = "<manufacturer>";
		manufacturer[merged] = "<manufacturer>";
		manufacturer[MESS] = "<publisher>";
		manufacturer[MAME162] = "<manufacturer>";

		ROMEnd[MAME] = "</game>";		// all xml files must start and end with <game>...</game>
		ROMEnd[controls] = "</game>";	// mame's listxml
		ROMEnd[merged] = "</game>";	// merged file (based off MAME)
		ROMEnd[MESS] = "</software>";
		ROMEnd[MAME162] = "</machine>";

	};

	} xmlType, *PxmlType;

// the index that switches between these items is located in romlister.cpp
